LibreOffice: XCommonEmbedPersist Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XCommonEmbedPersist Interface Referencepublished

specifies common implementation for embedded objects and links persistence. More...

`import"XCommonEmbedPersist.idl";`

Inheritance diagram for XCommonEmbedPersist:

## Public Member Functions
void | storeOwn () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link store itself. More...
boolean | isReadonly () raises ( ::com::sun::star::embed::WrongStateException )
| allows to detect if the data store is read-only. More...
void | reload ([in] sequence< ::com::sun::star::beans::PropertyValue > aMediaArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the object or the link reload itself. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies common implementation for embedded objects and links persistence.

## Member Function Documentation

## ◆ isReadonly()

boolean isReadonly | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

allows to detect if the data store is read-only.

Returns
  `TRUE` if the data store is readonly or opened readonly `FALSE` otherwise

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state ( has no entry )

## ◆ reload()

void reload | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aMediaArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

lets the object or the link reload itself.

If the object has persistence it will be reloaded from its persistent entry.

Parameters

  aMediaArgs | optional parameters for document reloading, see also com::sun::star::document::MediaDescriptor
  aObjectArgs | optional parameters for object reloading, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

## ◆ storeOwn()

void storeOwn | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

lets the object or the link store itself.

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::io::IOException | in case of io problems during saving
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XCommonEmbedPersist.idl